package com.yihu.jw.entity.base.doctor;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(name = "base_doctor_incentive")
public class BaseDoctorIncentiveDO extends UuidIdentityEntityWithOperator {
    private String doctorCode;
    private String doctorName;
    private String incentiveId;
    private String incentiveImg;
    private String incentiveName;
    private String isDel;
    @Column(name = "doctor_code")
    public String getDoctorCode() {
        return doctorCode;
    }

    public void setDoctorCode(String doctorCode) {
        this.doctorCode = doctorCode;
    }
    @Column(name = "doctor_name")
    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }
    @Column(name = "incentive_id")
    public String getIncentiveId() {
        return incentiveId;
    }

    public void setIncentiveId(String incentiveId) {
        this.incentiveId = incentiveId;
    }
    @Column(name = "incentive_img")
    public String getIncentiveImg() {
        return incentiveImg;
    }

    public void setIncentiveImg(String incentiveImg) {
        this.incentiveImg = incentiveImg;
    }
    @Column(name = "incentive_name")
    public String getIncentiveName() {
        return incentiveName;
    }

    public void setIncentiveName(String incentiveName) {
        this.incentiveName = incentiveName;
    }
    @Column(name = "is_del")
    public String getIsDel() {
        return isDel;
    }

    public void setIsDel(String isDel) {
        this.isDel = isDel;
    }




}
